Package org.apache.felix.framework.capabilityset

# Class CapabilitySet

java.lang.Object
org.apache.felix.framework.capabilityset.CapabilitySet

public class CapabilitySet extends Object

## Constructor Summary

Constructors
Constructor
Description
`CapabilitySet(List<String> indexProps, boolean caseSensitive)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCapability(BundleCapability cap)`
`void`
`dump()`
`Set<BundleCapability>`
`match(SimpleFilter sf, boolean obeyMandatory)`
`static boolean`
`matches(BundleCapability cap, SimpleFilter sf)`
`void`
`removeCapability(BundleCapability cap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CapabilitySet

public CapabilitySet(List<String> indexProps, boolean caseSensitive)

## Method Details

### dump

public void dump()

### addCapability

public void addCapability(BundleCapability cap)

### removeCapability

public void removeCapability(BundleCapability cap)

### match

public Set<BundleCapability> match(SimpleFilter sf, boolean obeyMandatory)

### matches

public static boolean matches(BundleCapability cap, SimpleFilter sf)